package com.diagbot.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description: 获取缺陷反馈记录列表-科室下拉框内容
 * @author： zhanghang
 * @time: 2022/4/21 10:07
 */
@ApiModel(value = "获取缺陷反馈记录列表-科室下拉框内容--接口出参")
@Getter
@Setter
public class GetDefectDeptDTO implements Serializable {


    private static final long serialVersionUID = 5216026169810219664L;

    @ApiModelProperty(value = "所属科室ID")
    private String deptId;

    @ApiModelProperty(value = "所属科室")
    private String deptName;

}
