package com.diagbot.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description: 消息通知--查看消息通知详情-接口出参
 * @Author songxl
 * @Date 2022/4/12 9:20
 */
@ApiModel(value = "消息通知--查看消息通知详情-接口出参")
@Getter
@Setter
public class GetNewsNoticeInfoByIdDTO implements Serializable {
    private static final long serialVersionUID = -5355822861966823187L;

    @ApiModelProperty(value = "主键")
    private Long id;

    @ApiModelProperty(value = "标题")
    private String title;

    @ApiModelProperty(value = "消息")
    private String news;

    @ApiModelProperty(value = "类型 0:其他,1:质控任务 ")
    private String type;

    @ApiModelProperty(value = "发送者编号")
    private String sender;

    @ApiModelProperty(value = "发送者姓名")
    private String senderName;

    @ApiModelProperty(value = "发送时间")
    private Date gmtCreate;

    @ApiModelProperty(value = "阅读状态")
    private String status;
}
