package com.diagbot.vo;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

/**
 * @Description: 消息通知--列表页查询-接口入参
 * @Author songxl
 * @Date 2022/4/11 9:20
 */
@ApiModel(value = "消息通知--列表页查询-接口入参")
@Getter
@Setter
public class NewsNoticePageVO extends Page implements Serializable {
    private static final long serialVersionUID = 1011244968588779436L;

    @ApiModelProperty(value = "用户id" ,hidden = true)
    private String principle;

    @ApiModelProperty(value = "通知类型 1:质控任务")
    private String type;
    @ApiModelProperty(value = "阅读状态 0:未读 1:已读")
    private String status;
}
