package com.diagbot.vo;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @Description: 获取缺陷反馈科室列表--接口入参
 * @author： zhanghang
 * @time: 2022/4/21 10:07
 */
@ApiModel(value = "获取缺陷反馈科室列表--接口入参")
@Getter
@Setter
public class GetDefectDeptModeVO extends Page {

    @ApiModelProperty(value = "医院ID", hidden = true)
    private Long hospitalId;

    @ApiModelProperty(value = "是否归档 0: 未归档|1:已归档")
    private String isPlacefile ;
}
