package com.diagbot.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;


/**
 * @Description:确认缺陷反馈--接口入参
 * @author: songxl
 * @time: 2022/4/21 10:03
 */
@Getter
@Setter
public class UPdDefectBackByIDVO {

    @ApiModelProperty(value = "缺陷反馈编号", required = true)
    @NotEmpty(message = "缺陷反馈编号为空")
    private Long id;

}
